Application PreferencesΒΆ
Application Preferences - Update Application PreferencesΒΆ
HTTP Request
PUT /api/v1/application-preferences/{id}
π Description: Updates the application preferences for a specified user or entity, allowing for customization of settings to enhance user experience and operational efficiency.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
Request body containing the updated application preference settings, including user-specific configurations and metadata. |
Body Parameters
1{
2 "id": 0,
3 "defaultLocale": "string",
4 "availableLanguages": [
5 "ENGLISH"
6 ],
7 "defaultCaptionLanguage": "ENGLISH"
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "defaultLocale": "string",
17 "availableLanguages": [
18 "ENGLISH"
19 ],
20 "defaultCaptionLanguage": "ENGLISH"
21 }
22}
Application Preferences - Get Application PreferencesΒΆ
HTTP Request
GET /api/v1/application-preferences
π Description: Retrieves the application preferences for the current user, enabling personalized settings and configurations to enhance user experience.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "defaultLocale": "string",
4 "availableLanguages": [
5 "ENGLISH"
6 ],
7 "defaultCaptionLanguage": "ENGLISH"
8}
Application Preferences - Patch Application PreferencesΒΆ
HTTP Request
PATCH /api/v1/application-preferences
π Description: Updates the application preferences for a user, allowing for customization of settings to enhance user experience and align with individual business needs.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the application preference settings, including user-specific configurations and customization options. |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "defaultLocale": "string",
17 "availableLanguages": [
18 "ENGLISH"
19 ],
20 "defaultCaptionLanguage": "ENGLISH"
21 }
22}
Application Preferences - Get Available LanguagesΒΆ
HTTP Request
GET /api/v1/application-preferences/available-languages
π Description: Retrieves the list of available languages for application preferences, enabling users to customize their experience according to their preferred language settings.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "ENGLISH"
3]